OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.NV.BlendEquationAdvanced

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVBlendEquationAdvanced :: MonadIO m => m Bool
- gl_NV_blend_equation_advanced :: Bool
- gl_BLEND_OVERLAP_NV :: GLenum
- gl_BLEND_PREMULTIPLIED_SRC_NV :: GLenum
- gl_BLUE_NV :: GLenum
- gl_COLORBURN_NV :: GLenum
- gl_COLORDODGE_NV :: GLenum
- gl_CONJOINT_NV :: GLenum
- gl_CONTRAST_NV :: GLenum
- gl_DARKEN_NV :: GLenum
- gl_DIFFERENCE_NV :: GLenum
- gl_DISJOINT_NV :: GLenum
- gl_DST_ATOP_NV :: GLenum
- gl_DST_IN_NV :: GLenum
- gl_DST_NV :: GLenum
- gl_DST_OUT_NV :: GLenum
- gl_DST_OVER_NV :: GLenum
- gl_EXCLUSION_NV :: GLenum
- gl_GREEN_NV :: GLenum
- gl_HARDLIGHT_NV :: GLenum
- gl_HARDMIX_NV :: GLenum
- gl_HSL_COLOR_NV :: GLenum
- gl_HSL_HUE_NV :: GLenum
- gl_HSL_LUMINOSITY_NV :: GLenum
- gl_HSL_SATURATION_NV :: GLenum
- gl_INVERT :: GLenum
- gl_INVERT_OVG_NV :: GLenum
- gl_INVERT_RGB_NV :: GLenum
- gl_LIGHTEN_NV :: GLenum
- gl_LINEARBURN_NV :: GLenum
- gl_LINEARDODGE_NV :: GLenum
- gl_LINEARLIGHT_NV :: GLenum
- gl_MINUS_CLAMPED_NV :: GLenum
- gl_MINUS_NV :: GLenum
- gl_MULTIPLY_NV :: GLenum
- gl_OVERLAY_NV :: GLenum
- gl_PINLIGHT_NV :: GLenum
- gl_PLUS_CLAMPED_ALPHA_NV :: GLenum
- gl_PLUS_CLAMPED_NV :: GLenum
- gl_PLUS_DARKER_NV :: GLenum
- gl_PLUS_NV :: GLenum
- gl_RED_NV :: GLenum
- gl_SCREEN_NV :: GLenum
- gl_SOFTLIGHT_NV :: GLenum
- gl_SRC_ATOP_NV :: GLenum
- gl_SRC_IN_NV :: GLenum
- gl_SRC_NV :: GLenum
- gl_SRC_OUT_NV :: GLenum
- gl_SRC_OVER_NV :: GLenum
- gl_UNCORRELATED_NV :: GLenum
- gl_VIVIDLIGHT_NV :: GLenum
- gl_XOR_NV :: GLenum
- gl_ZERO :: GLenum
- glBlendBarrierNV :: MonadIO m => m ()
- glBlendParameteriNV :: MonadIO m => GLenum -> GLint -> m ()

# Extension Support

glGetNVBlendEquationAdvanced :: MonadIO m => m Bool

Is the NV_blend_equation_advanced extension supported?

gl_NV_blend_equation_advanced :: Bool

Is the NV_blend_equation_advanced extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVBlendEquationAdvanced` in those cases instead.

# Enums

gl_BLEND_OVERLAP_NV :: GLenum

gl_BLEND_PREMULTIPLIED_SRC_NV :: GLenum

gl_BLUE_NV :: GLenum

gl_COLORBURN_NV :: GLenum

gl_COLORDODGE_NV :: GLenum

gl_CONJOINT_NV :: GLenum

gl_CONTRAST_NV :: GLenum

gl_DARKEN_NV :: GLenum

gl_DIFFERENCE_NV :: GLenum

gl_DISJOINT_NV :: GLenum

gl_DST_ATOP_NV :: GLenum

gl_DST_IN_NV :: GLenum

gl_DST_NV :: GLenum

gl_DST_OUT_NV :: GLenum

gl_DST_OVER_NV :: GLenum

gl_EXCLUSION_NV :: GLenum

gl_GREEN_NV :: GLenum

gl_HARDLIGHT_NV :: GLenum

gl_HARDMIX_NV :: GLenum

gl_HSL_COLOR_NV :: GLenum

gl_HSL_HUE_NV :: GLenum

gl_HSL_LUMINOSITY_NV :: GLenum

gl_HSL_SATURATION_NV :: GLenum

gl_INVERT :: GLenum

gl_INVERT_OVG_NV :: GLenum

gl_INVERT_RGB_NV :: GLenum

gl_LIGHTEN_NV :: GLenum

gl_LINEARBURN_NV :: GLenum

gl_LINEARDODGE_NV :: GLenum

gl_LINEARLIGHT_NV :: GLenum

gl_MINUS_CLAMPED_NV :: GLenum

gl_MINUS_NV :: GLenum

gl_MULTIPLY_NV :: GLenum

gl_OVERLAY_NV :: GLenum

gl_PINLIGHT_NV :: GLenum

gl_PLUS_CLAMPED_ALPHA_NV :: GLenum

gl_PLUS_CLAMPED_NV :: GLenum

gl_PLUS_DARKER_NV :: GLenum

gl_PLUS_NV :: GLenum

gl_RED_NV :: GLenum

gl_SCREEN_NV :: GLenum

gl_SOFTLIGHT_NV :: GLenum

gl_SRC_ATOP_NV :: GLenum

gl_SRC_IN_NV :: GLenum

gl_SRC_NV :: GLenum

gl_SRC_OUT_NV :: GLenum

gl_SRC_OVER_NV :: GLenum

gl_UNCORRELATED_NV :: GLenum

gl_VIVIDLIGHT_NV :: GLenum

gl_XOR_NV :: GLenum

gl_ZERO :: GLenum

# Functions

glBlendBarrierNV :: MonadIO m => m ()

This command is an alias for `glBlendBarrier`.

glBlendParameteriNV

Arguments

:: MonadIO m |
=> GLenum | `pname`.
-> GLint | `value`.
-> m () |